summaryrefslogtreecommitdiff
path: root/data/lighttpd/lighttpd-1.4.53/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'data/lighttpd/lighttpd-1.4.53/autogen.sh')
-rwxr-xr-xdata/lighttpd/lighttpd-1.4.53/autogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/data/lighttpd/lighttpd-1.4.53/autogen.sh b/data/lighttpd/lighttpd-1.4.53/autogen.sh
new file mode 100755
index 000000000..7377a64a3
--- /dev/null
+++ b/data/lighttpd/lighttpd-1.4.53/autogen.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+set -e
+
+if [ ! -f configure.ac -o ! -f COPYING ]; then
+ echo "Doesn't look like you're in the source directory" >&2
+ exit 1
+fi
+
+# old autoreconf/aclocal versions fail hard if m4 doesn't exist
+mkdir -p m4
+autoreconf --force --install
+echo "Now type './configure ...' and 'make' to compile."